import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { IntegrationMethod } from "@noovolari/leapp-core/models/integration-method";
import { IntegrationParams } from "@noovolari/leapp-core/models/integration-params";
import { IntegrationType } from "@noovolari/leapp-core/models/integration-type";
export default class CreateSsoIntegration extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        integrationAlias: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        integrationPortalUrl: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        integrationRegion: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        integrationType: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        integrationTenantId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        integrationLocation: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    chooseIntegrationMethod(): Promise<IntegrationMethod>;
    askConfigurationParameters(chosenIntegrationMethod: IntegrationMethod): Promise<IntegrationParams>;
    createIntegration(integType: IntegrationType, integrationParams: IntegrationParams): Promise<void>;
    private verifyAndExtractFlags;
}
