import { AccessMethod } from "@noovolari/leapp-core/models/access-method";
import { CloudProviderType } from "@noovolari/leapp-core/models/cloud-provider-type";
import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import CreateIdpUrl from "../idp-url/create";
export default class AddSession extends LeappCommand {
    private createIdpUrlCommand;
    static description: string;
    static examples: string[];
    static flags: {
        providerType: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        accessKey: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        idpArn: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        idpUrl: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        mfaDevice: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        sessionName: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        parentSessionId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        profileId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        region: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        roleArn: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        roleSessionName: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        secretKey: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        sessionType: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config, createIdpUrlCommand?: CreateIdpUrl);
    run(): Promise<void>;
    createSession(accessMethod: AccessMethod, selectedParams: Map<string, string>): Promise<void>;
    chooseCloudProvider(): Promise<CloudProviderType>;
    chooseAccessMethod(cloudProviderType: CloudProviderType): Promise<AccessMethod>;
    chooseAccessMethodParams(selectedAccessMethod: AccessMethod): Promise<Map<string, string>>;
    private extractProviderFromFlags;
    private verifyFlags;
    private extractAccessMethodFromFlags;
    private extractCorrectParamsFromFlags;
    private getOrCreateIdpUrlAndObtainId;
    private checkIdpUrlValidity;
    private checkRegionOrLocationValidity;
    private setDefaultParameterValues;
    private checkAnomalousFieldForAccessMethod;
    private checkProfileIdValidity;
    private checkParentIdValidity;
}
