import { SessionType } from "@noovolari/leapp-core/models/session-type";
import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
export default class CurrentSession extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        inline: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        profile: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        provider: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        format: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    currentSession(session: Session, dataFormat: string, dataFilter?: string[]): Promise<void>;
    getSessionFromProfile(profileName: string, provider: string | undefined): Session;
    getProfileId(profileName: string): string;
    getFieldsRequired(filters: string): string[];
    getSessionData(session: Session): Promise<any>;
    filterSessionData(sessionData: any, filterArray?: string[]): any;
    formatSessionData(sessionData: any, dataFormat: string): any;
    getProviderAssociatedSessionTypes(provider: string): SessionType[];
}
