import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
import { CredentialsInfo } from "@noovolari/leapp-core/models/credentials-info";
export default class StartSsmSession extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        sessionId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        region: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        ssmInstanceId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectSession(): Promise<Session>;
    generateCredentials(session: Session): Promise<CredentialsInfo>;
    selectRegion(session: Session): Promise<string>;
    selectSsmInstance(credentials: CredentialsInfo, r: string): Promise<string>;
    startSsmSession(credentials: CredentialsInfo, ssmInstanceIdString: string, r: string): Promise<void>;
    private validateFlags;
    private availableRegions;
}
