import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
export default class StartSession extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        sessionId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        sessionRole: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        noInteractive: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: {
        sessionName: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    startSession(session: Session): Promise<void>;
    selectSession(selectedSessions: Session[]): Promise<Session>;
    secondarySessionInfo(session: Session): string | undefined;
}
