import { IHttpClient } from "../http/i-http-client";
import { TaskStatusResponseDto } from "./dto/task-status-response-dto";
import { EncryptionProvider } from "../encryption/encryption.provider";
import { TaskStatus } from "./dto/task-status";
import { SsoUserDto } from "../sso/dto/sso-user-dto";
import { TaskType } from "./dto/task-type";
export declare class AgentProvider {
    private readonly apiEndpoint;
    private readonly httpClient;
    private readonly encryptionProvider;
    constructor(apiEndpoint: string, httpClient: IHttpClient, encryptionProvider: EncryptionProvider);
    getAgentVersion(): Promise<string>;
    getCloudFormationTemplate(stackName: string, accountNumber: string, queueArn: string, targetAwsRegion: string): Promise<any>;
    createTask(integrationName: string, base64Payload: string, type: TaskType, targetAwsRegion: string, notInQueue: boolean): Promise<string>;
    getSsoUsers(userPublicRsaKey: CryptoKey, portalUrl: string, region: string, integrationName: string): Promise<any>;
    finalizeIntegrationWizard(userPublicRsaKey: CryptoKey, instanceArn: string, accountId: string, portalUrl: string, region: string, integrationName: string, secretId: string, ssoUsers: SsoUserDto[], waitForTaskCompletion?: boolean): Promise<string>;
    finalizeTemporaryUser(integrationName: string, targetAwsRegion: string, taskStatus: TaskStatusResponseDto): Promise<void>;
    generateFinalizeTemporaryUserBase64Payload(userPublicRsaKey: CryptoKey, teamIntegrationSecretId: string, invitedUserEmail: string): Promise<string>;
    assignSsoSessionToUsers(userPublicRsaKey: CryptoKey, integrationName: string, region: string, instanceArn: string, accountId: string, permissionSetArn: string, userIdsToBeAdded: string[], userIdsToBeRemoved: string[], teamIntegrationSecretId: string): Promise<string>;
    synchronizeIntegration(userPublicRsaKey: CryptoKey, integrationName: string, secretId: string, targetAwsRegion: string): Promise<string>;
    createQueue(integrationName: string, accountNumber: string, targetAwsRegion: string): Promise<string>;
    createHealthCheckTask(integrationName: string, targetAwsRegion: string): Promise<string>;
    getTaskStatus(taskId: string): Promise<TaskStatusResponseDto>;
    updateTaskStatus(taskId: string, taskStatus: TaskStatus, result?: string): Promise<void>;
    addAccountIdToECRRepositoryPolicy(accountId: string, targetAwsRegion: string): Promise<void>;
    private generatePayloadFromData;
    private generateDataFromPayload;
    private waitForTaskCompletion;
}
