import { LocalSecretDto } from "./local-secret-dto";
import { SsoUserDto } from "../sso/dto/sso-user-dto";
import { UserDto } from "../sso/dto/user-dto";
import { AssignmentDto } from "../sso/dto/assignment-dto";
import { AccountDto } from "../sso/dto/account-dto";
import { PermissionSetDto } from "../sso/dto/permission-set-dto";
export declare enum ConnectionStatus {
    notInstalled = "Not installed",
    installed = "Installed"
}
interface AgentConnection {
    status?: ConnectionStatus;
    lastMessage?: string;
    lastAction?: string;
}
interface UiState {
    canGoNext: boolean;
    canGoPrev: boolean;
    canCancel: boolean;
    isFetching: boolean;
    currentStep: number;
}
export interface WizardGlobalState {
    uiState: UiState;
    name: string;
    awsAccountId: string;
    portalUrl: string;
    awsInstanceArn: string;
    region: string;
    agentConnection: AgentConnection;
    queueArn?: string;
    secretId?: string;
    integrationId?: string;
    taskId?: string;
    ssoMembers?: SsoUserDto[];
    selectedMembers?: SsoUserDto[];
    wizardCompleted: boolean;
}
export declare class AwsSsoTeamIntegrationDto extends LocalSecretDto {
    id: string;
    alias: string;
    portalUrl: string;
    accountId: string;
    instanceArn: string;
    wizardGlobalState: WizardGlobalState;
    users?: UserDto[];
    assignments?: AssignmentDto[];
    permissionSets?: PermissionSetDto[];
    accounts?: AccountDto[];
    localIntegrationSecretId?: string;
    agentVersion?: string;
    constructor(id: string, alias: string, portalUrl: string, accountId: string, instanceArn: string, wizardGlobalState: WizardGlobalState, users?: UserDto[], assignments?: AssignmentDto[], permissionSets?: PermissionSetDto[], accounts?: AccountDto[], localIntegrationSecretId?: string, agentVersion?: string);
}
export {};
