import { RsaKeyPair } from "./rsa-key-pair";
export declare class EncryptionProvider {
    private readonly crypto;
    private textEncoder;
    private textDecoder;
    constructor(crypto: Crypto);
    hash(secretToHash: string, salt: string): Promise<string>;
    generateSymmetricKey(): Promise<string>;
    importSymmetricKey(symmetricKey: string): Promise<CryptoKey>;
    aesEncrypt(dataToEncrypt: string, encryptionKey: string | CryptoKey): Promise<string>;
    aesDecrypt(dataToDecrypt: string, encryptionKey: string | CryptoKey): Promise<string>;
    deriveAesKey(encryptionKey: string, salt: ArrayBuffer): Promise<CryptoKey>;
    generateRsaKeys(): Promise<RsaKeyPair>;
    importRsaKeys(rsaKeyPair: RsaKeyPair): Promise<CryptoKeyPair>;
    importRsaPublicKey(rsaPublicKeyString: string): Promise<CryptoKey>;
    importRsaPrivateKey(rsaPrivateKeyString: string): Promise<CryptoKey>;
    rsaEncrypt(dataToEncrypt: string, publicKey: string | CryptoKey): Promise<string>;
    rsaDecrypt(dataToDecrypt: string, privateKey: string | CryptoKey): Promise<string>;
    buf2hex(buffer: ArrayBuffer): string;
    hex2buf(hex: string): ArrayBuffer;
}
