import { IHttpClient } from "../http/i-http-client";
import { EditGroupRequestDto } from "./dto/edit-group-request-dto";
import { CreateGroupRequestDto } from "./dto/create-group-request-dto";
import { CreateGroupResponseDto } from "./dto/create-group-response-dto";
import { UpdateGroupMembersRequestDto } from "./dto/update-group-members-request-dto";
import { GroupResponseDto } from "./dto/group-response-dto";
export declare class GroupProvider {
    private readonly apiEndpoint;
    private readonly httpClient;
    constructor(apiEndpoint: string, httpClient: IHttpClient);
    createGroup(request: CreateGroupRequestDto): Promise<CreateGroupResponseDto>;
    updateGroupMembers(request: UpdateGroupMembersRequestDto): Promise<GroupResponseDto>;
    updateGroup(groupId: string, request: EditGroupRequestDto): Promise<void>;
    listGroups(): Promise<GroupResponseDto[]>;
    deleteGroups(groupIds: string[]): Promise<void>;
    getGroup(groupId: string): Promise<GroupResponseDto>;
}
