import { Role } from "../user/role";
import { IHttpClient } from "../http/i-http-client";
import { InvitationResponseDto } from "./dto/invitation-response-dto";
import { IsInvitationValidResponseDto } from "./dto/is-invitation-valid-response-dto";
export interface UserToBeInvited {
    email: string;
    firstName: string;
    lastName: string;
}
export declare class InvitationProvider {
    private readonly apiEndpoint;
    private readonly httpClient;
    constructor(apiEndpoint: string, httpClient: IHttpClient);
    create(usersToBeInvited: UserToBeInvited[] | UserToBeInvited, invitedUserRole: Role, inviterId: string, integrationSecretId?: string, integrationName?: string, temporaryUserFinalizationTaskTaskIds?: {
        email: string;
        taskId: string;
    }[], targetAwsRegion?: string): Promise<InvitationResponseDto[]>;
    isInvitationValid(invitationCode: string): Promise<IsInvitationValidResponseDto>;
    updateInvitationCode(oldInvitationCode: string): Promise<string>;
    delete(code: string): Promise<void>;
}
