import { SSOOIDCClient, CreateTokenCommandOutput, RegisterClientCommandOutput, StartDeviceAuthorizationCommandOutput } from "@aws-sdk/client-sso-oidc";
import { SSOClient, AccountInfo } from "@aws-sdk/client-sso";
export interface SsoRoleInfo {
    roleName: string;
    accountId: string;
    accountName: string;
}
export interface OpenVerificationUriCompletePage {
    open(uri: string): void;
}
export declare class SsoProvider {
    private openVerificationUriCompletePage;
    constructor(openVerificationUriCompletePage: OpenVerificationUriCompletePage);
    getSsoOidcClient(region: string): SSOOIDCClient;
    getSsoClient(region: string): SSOClient;
    registerClientCommand(client: SSOOIDCClient): Promise<RegisterClientCommandOutput>;
    startDeviceAuthCommand(client: SSOOIDCClient, registeredClient: RegisterClientCommandOutput, portalUrl: string): Promise<StartDeviceAuthorizationCommandOutput>;
    waitForToken(client: SSOOIDCClient, registeredClient: RegisterClientCommandOutput, deviceAuth: StartDeviceAuthorizationCommandOutput): Promise<CreateTokenCommandOutput>;
    createToken(client: SSOOIDCClient, registeredClient: RegisterClientCommandOutput, deviceAuth: StartDeviceAuthorizationCommandOutput): Promise<CreateTokenCommandOutput>;
    getAccounts(client: SSOClient, accessToken: string): Promise<AccountInfo[]>;
    getRoles(client: SSOClient, accessToken: string, account: AccountInfo): Promise<SsoRoleInfo[]>;
    getSsoRoles(region: string, portalUrl: string): Promise<SsoRoleInfo[]>;
}
