import { IHttpClient } from "../http/i-http-client";
import { EncryptionProvider } from "../encryption/encryption.provider";
import { LocalSecretDto } from "../encryptable-dto/local-secret-dto";
import { CreateSecretResponseDto } from "./dto/create-secret-response-dto";
import { GetSecretGroupsResponseDto } from "./dto/get-secret-groups-response-dto";
import { GetSecretsUsersGroupsInfoResponseDto } from "./dto/get-secrets-users-groups-info-response-dto";
import { AwsSsoTeamIntegrationDto } from "../encryptable-dto/aws-sso-team-integration-dto";
export declare class VaultProvider {
    private readonly apiEndpoint;
    private readonly httpClient;
    private readonly encryptionProvider;
    constructor(apiEndpoint: string, httpClient: IHttpClient, encryptionProvider: EncryptionProvider);
    createSecret(userId: string, userPublicRsaKey: CryptoKey, localSecret: LocalSecretDto): Promise<CreateSecretResponseDto>;
    getSecret(secretId: string, privateRSAKey: string | CryptoKey): Promise<LocalSecretDto>;
    getSecrets(privateRSAKey: string | CryptoKey): Promise<LocalSecretDto[]>;
    updateSecret(members: {
        userId: string;
        rsaPublicKey: string;
    }[], groupMembers: {
        userId: string;
        publicRsaKey: string;
        userGroupId: string;
    }[], groupIds: string[], localSecret: LocalSecretDto): Promise<void>;
    deleteSecret(secretId: string): Promise<void>;
    deleteSecrets(secretIds: string[]): Promise<void>;
    getSecretsUsersGroupsInfo(): Promise<GetSecretsUsersGroupsInfoResponseDto>;
    getSecretsGroups(): Promise<GetSecretGroupsResponseDto>;
    deleteIntegration(integration: AwsSsoTeamIntegrationDto): Promise<void>;
    private getLocalSecret;
}
