import { CloudProviderService } from "@noovolari/leapp-core/services/cloud-provider-service";
import { AwsIamUserService } from "@noovolari/leapp-core/services/session/aws/aws-iam-user-service";
import { FileService } from "@noovolari/leapp-core/services/file-service";
import { AwsCoreService } from "@noovolari/leapp-core/services/aws-core-service";
import { LogService } from "@noovolari/leapp-core/services/log-service";
import { TimerService } from "@noovolari/leapp-core/services/timer-service";
import { AwsIamRoleFederatedService } from "@noovolari/leapp-core/services/session/aws/aws-iam-role-federated-service";
import { AzureSessionService } from "@noovolari/leapp-core/services/session/azure/azure-session-service";
import { ExecuteService } from "@noovolari/leapp-core/services/execute-service";
import { RetroCompatibilityService } from "@noovolari/leapp-core/services/retro-compatibility-service";
import { AwsParentSessionFactory } from "@noovolari/leapp-core/services/session/aws/aws-parent-session.factory";
import { AwsIamRoleChainedService } from "@noovolari/leapp-core/services/session/aws/aws-iam-role-chained-service";
import { Repository } from "@noovolari/leapp-core/services/repository";
import { RegionsService } from "@noovolari/leapp-core/services/regions-service";
import { AwsSsoRoleService } from "@noovolari/leapp-core/services/session/aws/aws-sso-role-service";
import { BehaviouralSubjectService } from "@noovolari/leapp-core/services/behavioural-subject-service";
import { SessionFactory } from "@noovolari/leapp-core/services/session-factory";
import { RotationService } from "@noovolari/leapp-core/services/rotation-service";
import { AzureCoreService } from "@noovolari/leapp-core/services/azure-core-service";
import { RemoteCliMfaCodePromptService } from "./remote-cli-mfa-code-prompt-service";
import { CliNativeService } from "./cli-native-service";
import { RemoteProceduresClient } from "@noovolari/leapp-core/services/remote-procedures-client";
import { NamedProfilesService } from "@noovolari/leapp-core/services/named-profiles-service";
import { IdpUrlsService } from "@noovolari/leapp-core/services/idp-urls-service";
import { AwsSsoIntegrationService } from "@noovolari/leapp-core/services/integration/aws-sso-integration-service";
import CliInquirer from "inquirer";
import { AwsSsoOidcService } from "@noovolari/leapp-core/services/aws-sso-oidc.service";
import { CliOpenWebConsoleService } from "./cli-open-web-console-service";
import { WebConsoleService } from "@noovolari/leapp-core/services/web-console-service";
import { AwsSamlAssertionExtractionService } from "@noovolari/leapp-core/services/aws-saml-assertion-extraction-service";
import { SsmService } from "@noovolari/leapp-core/services/ssm-service";
import { IAwsSsoOidcVerificationWindowService } from "@noovolari/leapp-core/interfaces/i-aws-sso-oidc-verification-window-service";
import { CliRpcAwsSamlAuthenticationService } from "./cli-rpc-aws-saml-authentication-service";
import { LocalCliMfaCodePromptService } from "./local-cli-mfa-code-prompt-service";
import { SessionManagementService } from "@noovolari/leapp-core/services/session-management-service";
import { SegmentService } from "@noovolari/leapp-core/services/segment-service";
import { WorkspaceService } from "@noovolari/leapp-core/services/workspace-service";
import { AzurePersistenceService } from "@noovolari/leapp-core/services/azure-persistence-service";
import { PluginManagerService } from "@noovolari/leapp-core/plugin-sdk/plugin-manager-service";
import { IntegrationFactory } from "@noovolari/leapp-core/services/integration-factory";
import { AzureIntegrationService } from "@noovolari/leapp-core/services/integration/azure-integration-service";
import { IKeychainService } from "@noovolari/leapp-core/interfaces/i-keychain-service";
import { WorkspaceConsistencyService } from "@noovolari/leapp-core/services/workspace-consistency-service";
import { TeamService } from "./team-service";
import { LocalstackSessionService } from "@noovolari/leapp-core/services/session/localstack/localstack-session-service";
export declare class CliProviderService {
    private cliNativeServiceInstance;
    private cliAwsSsoOidcVerificationWindowServiceInstance;
    private awsSamlAssertionExtractionServiceInstance;
    private cliRpcAwsSamlAuthenticationServiceInstance;
    private remoteProceduresClientInstance;
    private localCliMfaCodePromptServiceInstance;
    private remoteCliMfaCodePromptServiceInstance;
    private behaviouralSubjectServiceInstance;
    private awsIamUserServiceInstance;
    private awsIamRoleFederatedServiceInstance;
    private awsIamRoleChainedServiceInstance;
    private awsSsoRoleServiceInstance;
    private awsSsoOidcServiceInstance;
    private azureServiceInstance;
    private sessionFactoryInstance;
    private awsParentSessionFactoryInstance;
    private fileServiceInstance;
    private workspaceConsistencyServiceInstance;
    private repositoryInstance;
    private regionsServiceInstance;
    private namedProfilesServiceInstance;
    private idpUrlsServiceInstance;
    private awsSsoIntegrationServiceInstance;
    private keyChainServiceInstance;
    private logServiceInstance;
    private timerServiceInstance;
    private executeServiceInstance;
    private rotationServiceInstance;
    private retroCompatibilityServiceInstance;
    private cloudProviderServiceInstance;
    private awsCoreServiceInstance;
    private azureCoreServiceInstance;
    private cliOpenWebConsoleServiceInstance;
    private webConsoleServiceInstance;
    private ssmServiceInstance;
    private sessionManagementServiceInstance;
    private segmentServiceInstance;
    private workspaceServiceInstance;
    private azurePersistenceServiceInstance;
    private pluginManagerServiceInstance;
    private integrationFactoryInstance;
    private azureIntegrationServiceInstance;
    private teamServiceInstance;
    private localstackSessionServiceInstance;
    get azureIntegrationService(): AzureIntegrationService;
    get integrationFactory(): IntegrationFactory;
    get pluginManagerService(): PluginManagerService;
    get workspaceService(): WorkspaceService;
    get segmentService(): SegmentService;
    get cliNativeService(): CliNativeService;
    get sessionManagementService(): SessionManagementService;
    get cliAwsSsoOidcVerificationWindowService(): IAwsSsoOidcVerificationWindowService;
    get awsSamlAssertionExtractionService(): AwsSamlAssertionExtractionService;
    get cliRpcAwsSamlAuthenticationService(): CliRpcAwsSamlAuthenticationService;
    get remoteProceduresClient(): RemoteProceduresClient;
    get localCliMfaCodePromptService(): LocalCliMfaCodePromptService;
    get remoteCliMfaCodePromptService(): RemoteCliMfaCodePromptService;
    get behaviouralSubjectService(): BehaviouralSubjectService;
    get awsIamUserService(): AwsIamUserService;
    get awsIamRoleFederatedService(): AwsIamRoleFederatedService;
    get awsIamRoleChainedService(): AwsIamRoleChainedService;
    get awsSsoRoleService(): AwsSsoRoleService;
    get awsSsoOidcService(): AwsSsoOidcService;
    get localstackSessionService(): LocalstackSessionService;
    get azurePersistenceService(): AzurePersistenceService;
    get azureSessionService(): AzureSessionService;
    get sessionFactory(): SessionFactory;
    get awsParentSessionFactory(): AwsParentSessionFactory;
    get fileService(): FileService;
    get workspaceConsistencyService(): WorkspaceConsistencyService;
    get repository(): Repository;
    get regionsService(): RegionsService;
    get namedProfilesService(): NamedProfilesService;
    get idpUrlsService(): IdpUrlsService;
    get awsSsoIntegrationService(): AwsSsoIntegrationService;
    get keyChainService(): IKeychainService;
    get logService(): LogService;
    get timerService(): TimerService;
    get executeService(): ExecuteService;
    get rotationService(): RotationService;
    get retroCompatibilityService(): RetroCompatibilityService;
    get cloudProviderService(): CloudProviderService;
    get awsCoreService(): AwsCoreService;
    get azureCoreService(): AzureCoreService;
    get cliOpenWebConsoleService(): CliOpenWebConsoleService;
    get webConsoleService(): WebConsoleService;
    get ssmService(): SsmService;
    get teamService(): TeamService;
    get inquirer(): CliInquirer.Inquirer;
}
