import { BehaviorSubject } from "rxjs";
interface User {
    [key: string]: any;
}
declare enum ApiErrorCodes {
    invalidCredentials = 0,
    userNotActive = 1,
    emailAlreadyTaken = 2
}
declare enum FormErrorCodes {
    invalidCredentials = 0
}
export { User, ApiErrorCodes, FormErrorCodes };
export interface WorkspaceState {
    name: string;
    description: string;
    type: "local" | "team" | "pro";
    syncState: "disabled" | "enabled" | "in-progress" | "failed";
    selected: boolean;
    locked: boolean;
    id: string;
}
export declare class TeamService {
    constructor(_l: any, _e: any, _a: any, _p: any, _t: any, _m: any, _s: any, _r: any, _v: any, _i: any, _c: any, _n: any, _o: any, _y: any);
    get isLeappTeamStubbed(): boolean;
    get signedInUserState(): BehaviorSubject<User | null>;
    get workspacesState(): BehaviorSubject<WorkspaceState[]>;
    get syncingWorkspaceState(): BehaviorSubject<boolean>;
    getTeamStatus(): Promise<string>;
    setCurrentWorkspace(_?: boolean): Promise<void>;
    signIn(_: string, __: string): Promise<void>;
    signOut(_?: boolean): Promise<void>;
    writeTouchIdCredentials(_: string, __: number): Promise<void>;
    deleteTeamWorkspace(): Promise<void>;
    switchToLocalWorkspace(): Promise<void>;
    refreshWorkspaceState(_?: () => Promise<void>): Promise<void>;
    createCheckoutSession(_?: any, __?: any): Promise<any>;
    getPrices(): Promise<any>;
    setSyncState(_?: any): void;
    pushToRemote(): Promise<void>;
    pullFromRemote(_?: any): Promise<void>;
    removeSessionsAndIntegrationsFromCurrentWorkspace(): Promise<void>;
    getKeychainCurrentWorkspace(): Promise<string>;
    setKeychainCurrentWorkspace(_: string): Promise<void>;
}
